Reporting/Experiment Reporting
/report/experiment/:id
Results of one experiment: each config’s daily performance, traffic share and RPM, and which config is winning
GET
/
v1
/
report
/
experiment
/
{id}
/report/experiment/:id
curl --request GET \
--url https://api.tagdeliver.com/v1/report/experiment/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagdeliver.com/v1/report/experiment/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagdeliver.com/v1/report/experiment/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagdeliver.com/v1/report/experiment/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagdeliver.com/v1/report/experiment/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagdeliver.com/v1/report/experiment/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagdeliver.com/v1/report/experiment/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": {
"id": 405,
"uid": 20515,
"domain": "news.example.org",
"label": "News",
"title": "Leaderboard in-view buffer",
"description": null,
"organisation": "Example Media",
"start": "2026-10-01 00:00:00",
"end": "2026-10-02 23:59:59",
"subject": [
{
"config_id": 9084,
"real_allocation": 50.7831,
"allocation": 50,
"unit": "iab",
"label": "Leaderboard 1",
"status": 0,
"config": {
"In View Buffer": 200
},
"data": {
"experiment_rpm": [
1.6587,
1.6534
],
"gross_revenue": [
41.27,
39.85
],
"viewability": [
0.69,
0.6801
],
"fill": [
0.875,
0.8755
],
"requests": [
24960,
24000
],
"impressions": [
21840,
21012
],
"ad_unit_load": [
24960,
24000
],
"exp_unit_op": [
25200,
24410
],
"heavy_ad": [
0.0002,
0.0002
],
"ad_latency_50th": [
812,
798.5
],
"unit_latency_50th": [
1430,
1412
],
"no_bid": [
61200,
59870
],
"bid": [
18350,
17920
],
"bid_request": [
79550,
77790
],
"bid_won": [
9640,
9310
],
"bid_throttled": [
4120,
3980
],
"bid_rate": [
0.2307,
0.2304
],
"win_rate": [
0.5253,
0.5195
],
"throttle_rate": [
0.0492,
0.0487
]
},
"rpm": 1.6561
},
{
"config_id": 9085,
"real_allocation": 49.2169,
"allocation": 50,
"unit": "iab",
"label": "Leaderboard 1 (buffer 400)",
"status": 1,
"config": {
"In View Buffer": 400
},
"data": {
"experiment_rpm": [
1.8952,
1.8795
],
"gross_revenue": [
45.62,
43.98
],
"viewability": [
0.7702,
0.7602
],
"fill": [
0.8982,
0.8979
],
"requests": [
24950,
24200
],
"impressions": [
22410,
21730
],
"ad_unit_load": [
24950,
24200
],
"exp_unit_op": [
24380,
23700
],
"heavy_ad": [
0.0002,
0.0003
],
"ad_latency_50th": [
790,
805
],
"unit_latency_50th": [
1402,
1398.5
],
"no_bid": [
60100,
58920
],
"bid": [
18810,
18240
],
"bid_request": [
78910,
77160
],
"bid_won": [
9910,
9480
],
"bid_throttled": [
4060,
3910
],
"bid_rate": [
0.2384,
0.2364
],
"win_rate": [
0.5268,
0.5197
],
"throttle_rate": [
0.0489,
0.0482
]
},
"rpm": 1.8874,
"winner": true
}
],
"status": "complete",
"currency": "GBP",
"table_state": null,
"org_id": 1287,
"progress": 1,
"dates": [
"2026-10-01",
"2026-10-02"
]
},
"success": true
}Was this page helpful?
⌘I
/report/experiment/:id
curl --request GET \
--url https://api.tagdeliver.com/v1/report/experiment/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagdeliver.com/v1/report/experiment/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagdeliver.com/v1/report/experiment/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagdeliver.com/v1/report/experiment/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagdeliver.com/v1/report/experiment/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagdeliver.com/v1/report/experiment/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagdeliver.com/v1/report/experiment/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": {
"id": 405,
"uid": 20515,
"domain": "news.example.org",
"label": "News",
"title": "Leaderboard in-view buffer",
"description": null,
"organisation": "Example Media",
"start": "2026-10-01 00:00:00",
"end": "2026-10-02 23:59:59",
"subject": [
{
"config_id": 9084,
"real_allocation": 50.7831,
"allocation": 50,
"unit": "iab",
"label": "Leaderboard 1",
"status": 0,
"config": {
"In View Buffer": 200
},
"data": {
"experiment_rpm": [
1.6587,
1.6534
],
"gross_revenue": [
41.27,
39.85
],
"viewability": [
0.69,
0.6801
],
"fill": [
0.875,
0.8755
],
"requests": [
24960,
24000
],
"impressions": [
21840,
21012
],
"ad_unit_load": [
24960,
24000
],
"exp_unit_op": [
25200,
24410
],
"heavy_ad": [
0.0002,
0.0002
],
"ad_latency_50th": [
812,
798.5
],
"unit_latency_50th": [
1430,
1412
],
"no_bid": [
61200,
59870
],
"bid": [
18350,
17920
],
"bid_request": [
79550,
77790
],
"bid_won": [
9640,
9310
],
"bid_throttled": [
4120,
3980
],
"bid_rate": [
0.2307,
0.2304
],
"win_rate": [
0.5253,
0.5195
],
"throttle_rate": [
0.0492,
0.0487
]
},
"rpm": 1.6561
},
{
"config_id": 9085,
"real_allocation": 49.2169,
"allocation": 50,
"unit": "iab",
"label": "Leaderboard 1 (buffer 400)",
"status": 1,
"config": {
"In View Buffer": 400
},
"data": {
"experiment_rpm": [
1.8952,
1.8795
],
"gross_revenue": [
45.62,
43.98
],
"viewability": [
0.7702,
0.7602
],
"fill": [
0.8982,
0.8979
],
"requests": [
24950,
24200
],
"impressions": [
22410,
21730
],
"ad_unit_load": [
24950,
24200
],
"exp_unit_op": [
24380,
23700
],
"heavy_ad": [
0.0002,
0.0003
],
"ad_latency_50th": [
790,
805
],
"unit_latency_50th": [
1402,
1398.5
],
"no_bid": [
60100,
58920
],
"bid": [
18810,
18240
],
"bid_request": [
78910,
77160
],
"bid_won": [
9910,
9480
],
"bid_throttled": [
4060,
3910
],
"bid_rate": [
0.2384,
0.2364
],
"win_rate": [
0.5268,
0.5197
],
"throttle_rate": [
0.0489,
0.0482
]
},
"rpm": 1.8874,
"winner": true
}
],
"status": "complete",
"currency": "GBP",
"table_state": null,
"org_id": 1287,
"progress": 1,
"dates": [
"2026-10-01",
"2026-10-02"
]
},
"success": true
}